List Files

List files in a bucket. The path after /list/ is used as a prefix filter.

Authentication

Requires X-Glue-Authentication.

Path Parameters

Parameter Type Description
bucket_id string The bucket ID
* string Prefix filter

Request

1curl "https://api.hola.cloud/v1/buckets/bucket-550e8400-e29b-41d4-a716-446655440000/list/images/" \
2  -H 'X-Glue-Authentication: {"user":{"id":"user-123"}}'

Response

The response is a JSON array.

 1[
 2  {
 3    "id": "file-9f0b7b3c-1d2e-4a5f-8b9c-0123456789ab",
 4    "name": "images/logo.png",
 5    "bucket": "bucket-550e8400-e29b-41d4-a716-446655440000",
 6    "created_timestamp": 1782045660000000000,
 7    "updated_timestamp": 1782045660000000000,
 8    "size": 24576,
 9    "mime_type": "image/png",
10    "hash_md5": "example-md5",
11    "hash_sha256": "example-sha256",
12    "status": "available",
13    "owners": ["user-123"]
14  }
15]

Error Codes

Status Description
401 Missing or invalid X-Glue-Authentication
500 Persistence error

Comments

Leave a comment